zenilib: zenilib/jni/external/freetype2/src/base/ftstream.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftstream.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_DEBUG_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_stream

## Functions

| FT_Stream_Close (FT_Stream stream)
| FT_Stream_EnterFrame (FT_Stream stream, FT_ULong count)
| FT_Stream_ExitFrame (FT_Stream stream)
| FT_Stream_ExtractFrame (FT_Stream stream, FT_ULong count, FT_Byte **pbytes)
| FT_Stream_GetChar (FT_Stream stream)
| FT_Stream_GetULong (FT_Stream stream)
| FT_Stream_GetULongLE (FT_Stream stream)
| FT_Stream_GetUOffset (FT_Stream stream)
| FT_Stream_GetUShort (FT_Stream stream)
| FT_Stream_GetUShortLE (FT_Stream stream)
| FT_Stream_OpenMemory (FT_Stream stream, const FT_Byte *base, FT_ULong size)
| FT_Stream_Pos (FT_Stream stream)
| FT_Stream_Read (FT_Stream stream, FT_Byte *buffer, FT_ULong count)
| FT_Stream_ReadAt (FT_Stream stream, FT_ULong pos, FT_Byte *buffer, FT_ULong count)
| FT_Stream_ReadChar (FT_Stream stream, FT_Error *error)
| FT_Stream_ReadFields (FT_Stream stream, const FT_Frame_Field *fields, void *structure)
| FT_Stream_ReadULong (FT_Stream stream, FT_Error *error)
| FT_Stream_ReadULongLE (FT_Stream stream, FT_Error *error)
| FT_Stream_ReadUOffset (FT_Stream stream, FT_Error *error)
| FT_Stream_ReadUShort (FT_Stream stream, FT_Error *error)
| FT_Stream_ReadUShortLE (FT_Stream stream, FT_Error *error)
| FT_Stream_ReleaseFrame (FT_Stream stream, FT_Byte **pbytes)
| FT_Stream_Seek (FT_Stream stream, FT_ULong pos)
| FT_Stream_Skip (FT_Stream stream, FT_Long distance)
| FT_Stream_TryRead (FT_Stream stream, FT_Byte *buffer, FT_ULong count)

## Macro Definition Documentation

#define FT_COMPONENT trace_stream

Definition at line 31 of file ftstream.c.

## Function Documentation

FT_Stream_Close | ( | FT_Stream | stream | ) |

Definition at line 49 of file ftstream.c.

Referenced by FT_Stream_Free(), main(), and PCF_Face_Done().

FT_Stream_EnterFrame | ( | FT_Stream | stream,
|  | FT_ULong | count
| ) |  |

Definition at line 234 of file ftstream.c.

References error, FT_ASSERT, FT_Err_Ok, FT_ERROR, FT_FREE, ft_mem_qalloc(), and FT_QALLOC.

Referenced by FT_Access_Frame(), FT_Stream_ExtractFrame(), FT_Stream_ReadFields(), parse_afm(), pcf_get_bitmaps(), and pcf_get_encodings().

FT_Stream_ExitFrame | ( | FT_Stream | stream | ) |

Definition at line 312 of file ftstream.c.

References FT_ASSERT, FT_FREE, ft_mem_free(), and NULL.

Referenced by FT_Forget_Frame(), FT_Stream_ReadFields(), pcf_get_bitmaps(), and pcf_get_encodings().

FT_Stream_ExtractFrame | ( | FT_Stream | stream,
|  | FT_ULong | count,
|  | FT_Byte ** | pbytes
| ) |  |

Definition at line 193 of file ftstream.c.

References error, and FT_Stream_EnterFrame().

Referenced by FT_Extract_Frame().

FT_Stream_GetChar | ( | FT_Stream | stream | ) |

Definition at line 342 of file ftstream.c.

References FT_ASSERT.

FT_Stream_GetULong | ( | FT_Stream | stream | ) |

Definition at line 414 of file ftstream.c.

References FT_ASSERT, and FT_NEXT_ULONG.

FT_Stream_GetULongLE | ( | FT_Stream | stream | ) |

Definition at line 432 of file ftstream.c.

References FT_ASSERT, and FT_NEXT_ULONG_LE.

FT_Stream_GetUOffset | ( | FT_Stream | stream | ) |

Definition at line 396 of file ftstream.c.

References FT_ASSERT, and FT_NEXT_UOFF3.

FT_Stream_GetUShort | ( | FT_Stream | stream | ) |

Definition at line 358 of file ftstream.c.

References FT_ASSERT, and FT_NEXT_USHORT.

FT_Stream_GetUShortLE | ( | FT_Stream | stream | ) |

Definition at line 377 of file ftstream.c.

References FT_ASSERT, and FT_NEXT_USHORT_LE.

FT_Stream_OpenMemory | ( | FT_Stream | stream,
|  | const FT_Byte * | base,
|  | FT_ULong | size
| ) |  |

Definition at line 35 of file ftstream.c.

Referenced by cid_face_open(), FT_New_Memory_Stream(), FT_Stream_New(), and load_truetype_glyph().

FT_Stream_Pos | ( | FT_Stream | stream | ) |

Definition at line 103 of file ftstream.c.

Referenced by tt_face_load_loca().

FT_Stream_Read | ( | FT_Stream | stream,
|  | FT_Byte * | buffer,
|  | FT_ULong | count
| ) |  |

Definition at line 110 of file ftstream.c.

References FT_Stream_ReadAt().

Referenced by FT_Raccess_Get_HeaderInfo(), FT_Read_Stream(), and pcf_get_properties().

FT_Stream_ReadAt | ( | FT_Stream | stream,
|  | FT_ULong | pos,
|  | FT_Byte * | buffer,
|  | FT_ULong | count
| ) |  |

Definition at line 119 of file ftstream.c.

References error, FT_Err_Ok, FT_ERROR, and FT_MEM_COPY.

Referenced by FT_Read_Stream_At(), and FT_Stream_Read().

FT_Stream_ReadChar | ( | FT_Stream | stream,
|  | FT_Error * | error
| ) |  |

Definition at line 450 of file ftstream.c.

References FT_ASSERT, FT_Err_Ok, and FT_ERROR.

FT_Stream_ReadFields | ( | FT_Stream | stream,
|  | const FT_Frame_Field * | fields,
|  | void * | structure
| ) |  |

Definition at line 722 of file ftstream.c.

References error, FT_Bool, FT_CHAR_BIT, FT_Err_Invalid_Argument, FT_Err_Ok, ft_frame_byte, ft_frame_bytes, ft_frame_long_be, ft_frame_long_le, ft_frame_off3_be, ft_frame_off3_le, FT_FRAME_OP_SIGNED, ft_frame_schar, ft_frame_short_be, ft_frame_short_le, ft_frame_skip, ft_frame_start, ft_frame_ulong_be, ft_frame_ulong_le, ft_frame_uoff3_be, ft_frame_uoff3_le, ft_frame_ushort_be, ft_frame_ushort_le, FT_MEM_COPY, FT_NEXT_BYTE, FT_NEXT_ULONG, FT_NEXT_ULONG_LE, FT_NEXT_UOFF3, FT_NEXT_UOFF3_LE, FT_NEXT_USHORT, FT_NEXT_USHORT_LE, FT_Stream_EnterFrame(), FT_Stream_ExitFrame(), and switch().

FT_Stream_ReadULong | ( | FT_Stream | stream,
|  | FT_Error * | error
| ) |  |

Definition at line 628 of file ftstream.c.

References FT_ASSERT, FT_Err_Ok, FT_ERROR, and FT_NEXT_ULONG.

FT_Stream_ReadULongLE | ( | FT_Stream | stream,
|  | FT_Error * | error
| ) |  |

Definition at line 675 of file ftstream.c.

References FT_ASSERT, FT_Err_Ok, FT_ERROR, and FT_NEXT_ULONG_LE.

FT_Stream_ReadUOffset | ( | FT_Stream | stream,
|  | FT_Error * | error
| ) |  |

Definition at line 581 of file ftstream.c.

References FT_ASSERT, FT_Err_Ok, FT_ERROR, and FT_NEXT_UOFF3.

FT_Stream_ReadUShort | ( | FT_Stream | stream,
|  | FT_Error * | error
| ) |  |

Definition at line 487 of file ftstream.c.

References FT_ASSERT, FT_Err_Ok, FT_ERROR, and FT_NEXT_USHORT.

FT_Stream_ReadUShortLE | ( | FT_Stream | stream,
|  | FT_Error * | error
| ) |  |

Definition at line 534 of file ftstream.c.

References FT_ASSERT, FT_Err_Ok, FT_ERROR, and FT_NEXT_USHORT_LE.

FT_Stream_ReleaseFrame | ( | FT_Stream | stream,
|  | FT_Byte ** | pbytes
| ) |  |

Definition at line 215 of file ftstream.c.

References FT_FREE, ft_mem_free(), and NULL.

Referenced by FT_Release_Frame().

FT_Stream_Seek | ( | FT_Stream | stream,
|  | FT_ULong | pos
| ) |  |

Definition at line 57 of file ftstream.c.

References error, FT_Err_Ok, and FT_ERROR.

Referenced by ft_lzwstate_io(), FT_Open_Face(), FT_Raccess_Get_DataOffsets(), FT_Raccess_Get_HeaderInfo(), FT_Seek_Stream(), and FT_Stream_Skip().

FT_Stream_Skip | ( | FT_Stream | stream,
|  | FT_Long | distance
| ) |  |

Definition at line 92 of file ftstream.c.

References FT_Stream_Seek().

Referenced by FT_Skip_Stream().

FT_Stream_TryRead | ( | FT_Stream | stream,
|  | FT_Byte * | buffer,
|  | FT_ULong | count
| ) |  |

Definition at line 164 of file ftstream.c.

References FT_MEM_COPY.

Referenced by _bdf_readstream(), ft_lzwstate_io(), and ft_lzwstate_refill().